

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.54. ruby_eval &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.55. ruby_load" href="ruby_load.html" />
    <link rel="prev" title="7.3.53. request_cancel" href="request_cancel.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/ruby_eval.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="ruby_load.html" title="7.3.55. ruby_load"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="request_cancel.html" title="7.3.53. request_cancel"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="ruby-eval">
<h1><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code><a class="headerlink" href="#ruby-eval" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.54.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> コマンドはRubyスクリプトを評価して評価結果を返します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.54.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>ruby_eval script
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.54.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> を使うと、mrubyがサポートしているスクリプトを実行できます。</p>
<p>Rubyスクリプトとして <code class="docutils literal notranslate"><span class="pre">1</span> <span class="pre">+</span> <span class="pre">2</span></code> という計算するだけの例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register ruby/eval
# [[0, 1337566253.89858, 0.000355720520019531], true]
ruby_eval &quot;1 + 2&quot;
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;value&quot;: 3}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> コマンドを使うには事前に <code class="docutils literal notranslate"><span class="pre">ruby/eval</span></code> プラグインを登録します。</p>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> コマンドは実験的なプラグインです。このコマンドは将来的に変更されるかもしれません。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.54.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="script">
<h3><span class="section-number">7.3.54.4.1. </span><code class="docutils literal notranslate"><span class="pre">script</span></code><a class="headerlink" href="#script" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>評価したいrubyスクリプトを指定します。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.54.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> は例外情報などのメタデータつきで評価結果を返します（メタデータはまだ実装されていないので今のところ含まれません）:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, {&quot;value&quot;: EVALUATED_VALUE}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">EVALUATED_VALUE</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">EVALUATED_VALUE</span></code> は <code class="docutils literal notranslate"><span class="pre">ruby_script</span></code> を評価した値です。</p>
<p>今のところ、 <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code> は評価された値として数値だけサポートしています。サポートしている型は今後増えていく予定です。</p>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.54.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.54. <code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.54.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.54.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.54.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.54.4. 引数</a><ul>
<li><a class="reference internal" href="#script">7.3.54.4.1. <code class="docutils literal notranslate"><span class="pre">script</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.54.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.54.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="request_cancel.html"
                        title="前の章へ"><span class="section-number">7.3.53. </span><code class="docutils literal notranslate"><span class="pre">request_cancel</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="ruby_load.html"
                        title="次の章へ"><span class="section-number">7.3.55. </span><code class="docutils literal notranslate"><span class="pre">ruby_load</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="ruby_load.html" title="7.3.55. ruby_load"
             >次へ</a> |</li>
        <li class="right" >
          <a href="request_cancel.html" title="7.3.53. request_cancel"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.54. </span><code class="docutils literal notranslate"><span class="pre">ruby_eval</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>